Package com.io7m.jtensors.generators

# Class Vector3DGenerator

java.lang.Object
com.io7m.jtensors.generators.Vector3DGenerator

All Implemented Interfaces:
  `net.java.quickcheck.Generator<Vector3D>`

    public final class Vector3DGenerator
    extends java.lang.Object
    implements net.java.quickcheck.Generator<Vector3D>

A vector generator.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Vector3DGenerator​(net.java.quickcheck.Generator<java.lang.Double> in_gen)` | Construct a generator.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static net.java.quickcheck.Generator<Vector3D>` | `create()` | Create a generator initialized with a default component generator.
  `static net.java.quickcheck.Generator<Vector3D>` | `createNormal()` | Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
  `static net.java.quickcheck.Generator<Vector3D>` | `createSmall()` | Create a generator initialized with a default component generator that produces values in the range `[-65536.0, 65536.0]`.
  `Vector3D` | `next()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Vector3DGenerator

    public Vector3DGenerator​(net.java.quickcheck.Generator<java.lang.Double> in_gen)
    Construct a generator.
    Parameters:
      `in_gen` - A component generator

- ## Method Details

  - ### create

    public static net.java.quickcheck.Generator<Vector3D> create()
    Create a generator initialized with a default component generator.
    Returns:
      A generator

  - ### createSmall

    public static net.java.quickcheck.Generator<Vector3D> createSmall()
    Create a generator initialized with a default component generator that produces values in the range `[-65536.0, 65536.0]`.
    Returns:
      A generator

  - ### createNormal

    public static net.java.quickcheck.Generator<Vector3D> createNormal()
    Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
    Returns:
      A generator

  - ### next

    public Vector3D next()
    Specified by:
      `next` in interface `net.java.quickcheck.Generator<Vector3D>`